<template>
  <div>
    <div class="flex flex-col h-screen">
      <div class="md:flex">
        <left-bar />
        <top-bar />
      </div>
      <div className="flex flex-grow overflow-hidden">
        <main-menu
          className="flex-shrink-0 absolute inset-y-0 left-0 w-64 bg-white overflow-y-auto transform -translate-x-full md:relative md:translate-x-0 transition duration-300 ease-in overflow-hidden"
        />
        <main
          class="
            w-full
            bg-gray-50
            dark:bg-gray-900
            px-4
            py-4
            overflow-hidden overflow-y-auto
          "
        >
          <Toast />
          <slot />
        </main>
      </div>
    </div>
  </div>
</template>

<script>
import { Link } from "@inertiajs/inertia-vue3";
import LeftBar from "@/Partials/LeftBar.vue";
import TopBar from "@/Partials/TopBar.vue";
import MainMenu from "@/Partials/MainMenu.vue";
import Toast from "@/Components/Toast.vue";

export default {
  components: {
    Link,
    LeftBar,
    TopBar,
    MainMenu,
    Toast,
  },

  data() {
    return {
      showingNavigationDropdown: false,
    };
  },
};
</script>
